PLASMAPKG2(1)

NAME
plasmapkg2 - Install, list, remove Plasma packages

SYNOPSIS

plasmapkg2 [--hash path] [-g, --global] [-t, --type type] [-i, --install path] [-s, --show name] [-u, --upgrade path] [-l, --list] [--list-types] [-r, --remove name] [-p, --packageroot path]

DESCRIPTION

plasmapkg2 is a command line tool to install, list, remove Plasma packages.

OPTIONS

--hash  path
    Generate a SHA1 hash for the package at ``path''.

-g, --global
    For install or remove, operates on packages installed for all users.

-t, --type  type
    The type of package, e.g. theme, wallpaper, plasmoid, dataengine, runner, layout-template, etc. [plasmoid].

-i, --install  path
    Install the package at ``path''.

-s, --show  name
    Show information of package ``name''.

-u, --upgrade  path
    Upgrade the package at ``path''.

-l, --list
    List installed packages.

--list-types
    Lists all known Package types that can be installed.

-r, --remove  name
    Remove the package named ``name''.

-p, --packageroot  path
    Absolute path to the package root. If not supplied, then the standard data directories for this Plasma session will be searched instead.

SEE ALSO

More detailed user documentation is available from help:/plasma-desktop: help:/plasma-desktop (either enter this URL into Konqueror, or run khelpcenter help:/plasma-desktop).

AUTHORS

plasmapkg2 was written by Aaron Seigo <aseigo@kde.org>.